<?php
function crea_option($dom,$niv,$texto='',$refer='',$hijos='',$title='',$icon='')
{
     global $xuli0,$xuli1,$xuli2,$xuli3,$xuli4,$xuli5;
     
//      if(empty($title)){$title=$texto;}
     
     if(empty($icon))
     {
//        ✍🏻  📍
//           if($texto=='Ventas'){$icon='📘';}
//           if($texto=='Compras'){$icon='📕';}
//           if($texto=='Caja/Bcos'){$icon='📗';}
//           if($texto=='Inventario'){$icon='📙';}
//           if($texto=='Contabilidad'){$icon='📒';}
          
          
          if(mb_stristr2($texto,'Venta')){$icon='🔴';}
          if(mb_stristr2($texto,'Cliente')){$icon='🔴';}
          if(mb_stristr2($texto,'Compra')){$icon='🟢';}
          if(mb_stristr2($texto,'Proveedor')){$icon='🟢';}
          if(mb_stristr2($texto,'Tesoreria')){$icon='🟡';}
          if(mb_stristr2($texto,'Retenciones')){$icon='🟡';}
          if(mb_stristr2($texto,'Caja/Bancos')){$icon='🟡';}
          if(mb_stristr2($texto,'Caja/Bancos')){$icon='🟡';}
          if(mb_stristr2($texto,'Caja/Bcos')){$icon='🟡';}
          if(mb_stristr2($texto,'Caja')){$icon='🟡';}
          if(mb_stristr2($texto,'Bcos')){$icon='🟡';}
          if(mb_stristr2($texto,'Inventario')){$icon='🟤';}
          if(mb_stristr2($texto,'Item')){$icon='🟤';}
          if(mb_stristr2($texto,'Guía')){$icon='🟤';}
          if(mb_stristr2($texto,'Entidad')){$icon='🔵';}
          if(mb_stristr2($texto,'Contabilidad')){$icon='🔵';}
          if(mb_stristr2($texto,'Cuenta')){$icon='🔵';}
          if(mb_stristr2($texto,'S.R.I.')){$icon='🔵';}
          if(mb_stristr2($texto,'Cobrar')){$icon='🟣';}
          if(mb_stristr2($texto,'Pagar')){$icon='🟣';}
          if(mb_stristr2($texto,'Nómina')){$icon='🟠';}
          if(mb_stristr2($texto,'Producc')){$icon='🟠';}
//           if(mb_stristr2($texto,'Taller')){$icon='🧑‍🔧';}
         
          
          if($texto=='Territorios'){$icon='🗺️';}
          if(mb_stristr(strtolower($texto),'salir')){$icon='❌';}
          if(mb_stristr(strtolower($texto),'reset')){$icon='🔄';}
          if(mb_stristr(strtolower($texto),'ticket')){$icon='🎫';}
          if(mb_stristr(strtolower($texto),'garage')){$icon='🚘';}
          if(mb_stristr(strtolower($texto),'automotriz')){$icon='🚘';}
          
          if(mb_stristr(strtolower($texto),'registro')){$icon='🖥️';}
          if(mb_stristr(strtolower($texto),'maestro')){$icon='🗂️';}
          if(mb_stristr(strtolower($texto),'informe')){$icon='📚';}
          if(mb_stristr(strtolower($texto),'consulta')){$icon='📓';}
          if(mb_stristr(strtolower($texto),'cerrar')){$icon='❌';}
          if(mb_stristr(strtolower($texto),'perfil')){$icon='👤';}
          if(mb_stristr(strtolower($texto),'usuario')){$icon='👤';}
          if(mb_stristr(strtolower($texto),'catálogo')){$icon='📔';}
          if(mb_stristr(strtolower($texto),'carrito')){$icon='🛒';}
          if(mb_stristr(strtolower($texto),'mantenimiento')){$icon='⚙️';}
          if(mb_stristr(strtolower($texto),'predicac')){$icon='🗣️';}
//           if(mb_stristr(strtolower($texto),'territor')){$icon='🗺️';}
          if(mb_stristr(strtolower($texto),'calenda')){$icon='📅';}
          if(mb_stristr(strtolower($texto),'médico')){$icon='🧑‍⚕️';}
//           if(mb_stristr(strtolower($texto),'visita')){$icon='🚪';}
          
          
          
     }          
     
     $texto=$icon.$texto;
     
//      echo '<br>=='.$texto;
     
     if(strlen(trim($texto))<=2){return;}
     $xlist=${'xuli'.(int)($niv-1)}->appendChild($dom->createElement("li"));
//           $xlist->setAttribute('size90','');
          if(!empty($title))
          {$xlist->setAttribute("title",htmlspecialchars($title));}
//           $xlist->setAttribute("style","float:right;");     
     $ahref=$xlist->appendChild($dom->createElement("a",htmlspecialchars($texto)));
//           $ahref->setAttribute('size60','');
     if(!empty($refer))
     {
          if(mb_stristr($refer,'{'))
          {$ahref->setAttribute("onclick",$refer);}
          else
          {$ahref->setAttribute("href",$refer);}
     }
//      else
//      {${'xuli'.(int)($niv)}=$xlist->appendChild($dom->createElement("ul"));}
     if(empty($refer) or !empty($hijos))
     {${'xuli'.(int)($niv)}=$xlist->appendChild($dom->createElement("ul"));}
}

//if(!isset($def_ptoe)){$def_ptoe='';}

// echo '=====>'.$cfg_tipo;


$empr0=data_maes('empr',$cfg_empr);
$user0=data_maes('user',$_SESSION['user_codigo']);

$def_vtas='FC10';
$def_clie='PF10';
$def_guia='GR10';
// $def_ptov='001101';
$def_ptov=$user0['user_ptov'];

$optval=[];

// echo table_exist('ptov0');

// validar q exista la tabla
$ptov0=data_maes('ptov',$ptov);
if(empty($ptov0['ptov_codigo']))
{
     if(table_exist('vtas1')==1)
     {
          $sql_ptov='select ptov from vtas1 where ifnull(status,"")not in("O","X") and ifnull(ptov,"")!="" order by idnum1 desc limit 1';
          $res_ptov=msql_query($sql_ptov,$link_data);
          $def_ptov=msql_result($res_ptov,0,'ptov');

          $sql_updt='update user0 set user_ptov="'.$def_ptov.'" where user_codigo="'.$user0['user_codigo'].'"';
          $res_updt=msql_query($sql_updt,$link_data);
     }
}


$dom=new DomDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->xmlStandalone = true;
     $dom->formatOutput = true;

$xuli0=$dom->appendChild($dom->createElement("ul"));   
     $xuli0->setAttribute("menu","main");
     $xuli0->setAttribute("class","slimmenu");
     
     
// echo '<br>=====>'.$_SESSION['user_codigo'];

if(empty($_SESSION['user_codigo']))
{
     crea_option($dom,1,'➲Iniciar Sesión','?scri=user_login0',true);
          crea_option($dom,2,'Cuenta Nueva','?scri=user_nuevo0',0,'','👤');
          crea_option($dom,2,'Resetear Clave','?scri=user_reset0');
          if($cfg_empr=='jwib')
          {crea_option($dom,2,'Congregación','?scri=sele_cong1',false);}
     
//           if($empr0['empr_restaurante']==1)
          if($cfg_empr=='demo')
          {crea_option($dom,2,'📱 Identifíquese','?scri=sele_wsap1',false);}
     
}




if(!empty($_SESSION['user_codigo']))
{
     if(mb_stristr('sist.supe.admi.oper',$_SESSION['user_tipo']))
     {
//           if($empr0['empr_tipo']=='pyme' or $_SESSION['user_tipo']=='sist')
          if($empr0['empr_tipo']=='pyme')
          {
               crea_option($dom,1,'Registros');
                    $vtas_defa='?scri=regi_vtas3&docu='.$def_vtas.'&ptov='.$def_ptov.'&';
               
                    if($empr0['empr_vtas']==1)
                    {
                    crea_option($dom,2,'Ventas',$vtas_defa,true);
                         crea_option($dom,3,'Xpress','?scri=regi_vtas3&docu='.$def_vtas.'&ptov='.$def_ptov.'&tpos=1');
                         crea_option($dom,3,'Pto.Vta.','?scri=regi_vtas3&docu='.$def_vtas.'&ptov='.$def_ptov.'&tpos=2');
                         crea_option($dom,3,'Documentos','?scri=regi_vtas3&docu='.$def_vtas.'&ptov='.$def_ptov.'&tpos=3');
                         
                         if($empr0['empr_codigo']=='cada')
                         {crea_option($dom,3,'Cancela CXC','?scri=regi_caba3&format=2&docu=CC10');}

                         if($empr0['empr_codigo']=='demo')
                         {crea_option($dom,3,'Cancela CXC','?scri=regi_caba3&format=2&docu=');}

                         crea_option($dom,3,'Pto.Vta.(CTLG)','?scri=ctlg_item3&format=2&lsub=X&bode='.$user0['user_bode']);
                         crea_option($dom,3,'Pto.Vta.(CARR)','?scri=ctlg_item3&format=4');
                         crea_option($dom,3,'Pto.Vta.(Local)','?scri=regi_vtas1');
                         crea_option($dom,3,'Xpress 2','?scri=regi_vtas3&docu='.$def_vtas.'&ptov='.$def_ptov.'&tpos=1&save=2');
                    }
               
                    if($empr0['empr_clie']==1)
                    {
                    crea_option($dom,2,'Clientes','?scri=ctlg_item3&lsub=',true);
                         crea_option($dom,3,'Catálogo','?scri=ctlg_item3&format=3');
                         crea_option($dom,3,'Proformas','?scri=regi_vtas3&docu='.$def_clie.'&ptov='.$def_ptov.'&tpos=3'.'&modu=clie');
                    }
               
               
                    if($empr0['empr_comp']==1)
                    {
                    crea_option($dom,2,'Compras','?scri=regi_comp3&docu=FP10&ptoe=001001',true);
                         crea_option($dom,3,'Documentos','?scri=regi_comp3&docu=FP10&ptoe=001001');
                         crea_option($dom,3,'Efectivo','?scri=regi_comp3&docu=FP10&ptoe=001001&tpos=1');
                         crea_option($dom,3,'DAI','?scri=regi_prov3&docu=DA16&ptoe=001001');
                         crea_option($dom,3,'Exterior','?scri=regi_comp3&docu=FP15&ptoe=001001');
                    }
               
                    if($empr0['empr_prov']==1)
                    {
                    crea_option($dom,2,'Proveedores','?scri=regi_prov3&ptoe=001001',true);
                         crea_option($dom,3,'Documentos','?scri=regi_prov3&ptoe=001001');
                         crea_option($dom,3,'Lista','?scri=regi_lpro3&docu=LP10&ptoe=&format=3');
                         crea_option($dom,3,'Solicitud','?scri=regi_prov3&docu=PS10');
                         crea_option($dom,3,'Cotización','?scri=regi_prov3&docu=PT10');
                         crea_option($dom,3,'Orden Compra','?scri=regi_prov3&docu=PP10');
                    }

                    if($empr0['empr_inve']==1)
                    {
                         crea_option($dom,2,'Inventario','?scri=regi_inve3',true);
                              crea_option($dom,3,'Documento','?scri=regi_inve3&format=2');
                              crea_option($dom,3,'Bodega','?scri=regi_inve3&format=3');
//                               crea_option($dom,3,'Toma Física','?scri=regi_inve3&format=3&docu=IF00');
                              crea_option($dom,3,'Toma Física','?scri=regi_infi3');
                    }
               
               
                    if($empr0['empr_guia']==1)
                    {
                    crea_option($dom,2,'Guía Remis.','?scri=regi_guia3&docu='.$def_guia.'&ptoe='.$def_ptoe.'&tpos=',true);
                         crea_option($dom,3,'Guia','?scri=regi_guia3&docu='.$def_guia.'&ptoe='.$def_ptoe.'&tpos=');
                    }
               
               
                    if($empr0['empr_caja']==1 or $empr0['empr_bcos']==1)
                    {
                              crea_option($dom,2,'Caja/Bcos','?scri=regi_caba3&format=2',true);
                         
                              if($empr0['empr_caja']==1)
                              {
//                               crea_option($dom,3,'Doc.Caja','?scri=regi_caja3&format=2');
                              crea_option($dom,3,'Doc.Caja','?scri=regi_caba3&format=2');
                              crea_option($dom,3,'Caja','?scri=regi_caja3&format=3');
                              }
                         
                              if($empr0['empr_bcos']==1)
                              {
//                               crea_option($dom,3,'Doc.Banco','?scri=regi_bcos3&format=2');
                              crea_option($dom,3,'Doc.Banco','?scri=regi_caba3&format=2');
                              crea_option($dom,3,'Bancos','?scri=regi_bcos3&format=3');
                              }

                              if($empr0['empr_cxco']==1)
                              {
                              crea_option($dom,3,'Doc.X Cob','?scri=regi_dxcp3&format=2');
                              }
                         
                              if($empr0['empr_cxpa']==1)
                              {
                              crea_option($dom,3,'Doc.X Pag','?scri=regi_dxcp3&format=2');
                              }
                         
                         
                         
                              crea_option($dom,2,'Retenciones','?scri=regi_rete3',true);
                              crea_option($dom,3,'Clientes','?scri=regi_rete3&modu=retc&format=2');
                              if($empr0['empr_rete']==1 )
                              {
          //                               crea_option($dom,3,'Proveedores','?scri=regi_rete3&modu=retp&format=2');
                                        crea_option($dom,3,'Proveedores','?scri=regi_rete4');
                                        crea_option($dom,3,'General','?scri=regi_rete3');
                              }
                         
                    }
               
               
                    if($empr0['empr_nomi']==1)
                    {
                         crea_option($dom,2,'Nómina','?scri=regi_nomi3',true);
                              crea_option($dom,3,'Sueldo Empleado  ','?scri=regi_susa3&format=');
                              crea_option($dom,3,'Sueldo Blog','?scri=regi_susa3&format=3');
                              crea_option($dom,3,'Novedades Diarias','?scri=regi_nomi3&format=');
                              crea_option($dom,3,'Novedades Blog','?scri=regi_nomi3&format=3');
//                               crea_option($dom,3,'Horas','?scri=regi_nvdd3&format=');
                    }
               
                    if($empr0['empr_prod']==1)
                    {
                         crea_option($dom,2,'Producción','?scri=regi_inve3',true);
                              crea_option($dom,3,'Orden','?scri=regi_opro3&format=');
                              crea_option($dom,3,'Proceso','?scri=regi_pduc3&format=');
                              crea_option($dom,3,'Fertilización','?scri=regi_opro3&docu=OP17&tpro=');
//                               crea_option($dom,3,'Bodega','?scri=regi_inve3&format=3');
                    }
               
                    if($empr0['empr_cont']==1)
                    {
                    crea_option($dom,2,'Contabilidad','?scri=regi_cont3',true);
                         crea_option($dom,3,'Diarios','?scri=regi_cont3&format=0');
                    }
               
                    crea_option($dom,2,'Proyectos','?scri=regi_atvd3',true);
                         crea_option($dom,3,'Planificación','?scri=regi_plan3&format=0');
                         crea_option($dom,3,'Actividad','?scri=regi_atvd3&format=0');
               
               crea_option($dom,1,'Informes','?scri=info_modu3',true);
                    if($empr0['empr_vtas']==1)
                    {
                    crea_option($dom,2,'Ventas','?scri=info_modu3&modu=vtas',true);
                         crea_option($dom,3,'Resumen','?scri=info_modu3&modu=vtas&info=vtresu');
                         crea_option($dom,3,'Detalle','?scri=info_modu3&modu=vtas&info=vtdeta');
                         crea_option($dom,3,'Cliente','?scri=info_modu3&modu=vtas&info=vtenti');
                         crea_option($dom,3,'Item','?scri=info_modu3&modu=vtas&info=vtitem');
                         crea_option($dom,3,'Fecha','?scri=info_modu3&modu=vtas&info=vtxfec');
                         crea_option($dom,3,'Mensual','?scri=info_modu3&modu=vtas&info=vtxmes');
                         crea_option($dom,3,'Anual','?scri=info_modu3&modu=vtas&info=vtxano');
                         crea_option($dom,3,'Vendedor','?scri=info_modu3&modu=vtas&info=vtvndd');
                         if($empr0['empr_farmacia']==1)
                         {crea_option($dom,3,'RPM','?scri=info_modu3&modu=vtas&info=vtrpm1&lsub=MEDI-');}
                    }
               
                    if($empr0['empr_clie']==1)
                    {
                    crea_option($dom,2,'Clientes','?scri=info_modu3&modu=clie',true);
                         crea_option($dom,3,'Carritos','?scri=info_modu3&modu=carr&info=caresu');
                         crea_option($dom,3,'Proformas','?scri=info_modu3&modu=clie&info=clresu');
     //                     crea_option($dom,3,'X Producto','http:jw.org');
                    }
                    if($empr0['empr_comp']==1)
                    {
                    crea_option($dom,2,'Compras','?scri=info_modu3&modu=comp',true);
                         crea_option($dom,3,'Resumen','?scri=info_modu3&modu=comp&info=coresu');
                         crea_option($dom,3,'Detalle','?scri=info_modu3&modu=comp&info=codeta');
                         crea_option($dom,3,'Proveedores','?scri=info_modu3&modu=comp&info=coenti');
                    }
               
                    if($empr0['empr_prov']==1)
                    {
                    crea_option($dom,2,'Proveedores','?scri=info_modu3&modu=prov&info=prresu',true);
                         crea_option($dom,3,'Resumen','?scri=info_modu3&modu=prov&info=prresu');
                         crea_option($dom,3,'Solicitudes','?scri=info_modu3&modu=prov&info=prresu&docu=PS10');
                         crea_option($dom,3,'Cotizaciones','?scri=info_modu3&modu=prov&info=prresu&docu=PT10');
                         crea_option($dom,3,'Ordenes','?scri=info_modu3&modu=prov&info=prresu&docu=PP10');
                         crea_option($dom,3,'Lista','?scri=info_modu3&modu=lpro&info=lpdeta&docu=LP10');
                         $mfecha1=date('Y-m-01',strtotime('-3 month'));
                         $mfecha2=date('Y-m-t');
                         crea_option($dom,3,'Revisar Solicitud','?scri=info_modu3&modu=prov&info=prrsol&docu=PS&fecha1='.$mfecha1.'&fecha2='.$mfecha2.'&stat=-');
                         crea_option($dom,3,'Ordenar Solicitud','?scri=info_modu3&modu=prov&info=prosol&docu=PS&fecha1='.$mfecha1.'&fecha2='.$mfecha2.'&stat=A');
                    }
               
                    if($empr0['empr_inve']==1)
                    {
                    crea_option($dom,2,'Inventario','?scri=info_modu3&modu=inve&item=..',true);
                         crea_option($dom,3,'Resumen','?scri=info_modu3&modu=inve&info=iiresu');
                         crea_option($dom,3,'Ingre/Egre','?scri=info_modu3&modu=inve&info=iiiiee');
                         crea_option($dom,3,'Kardex','?scri=info_modu3&modu=inve&info=iikrdx&item=..');
                         crea_option($dom,3,'Stock X Bodega','?scri=info_modu3&modu=inve&info=iibode');
                         crea_option($dom,3,'Ingre/Egre X DOC','?scri=info_modu3&modu=inve&info=iidocu');
                         crea_option($dom,3,'Data Base','?scri=info_modu3&modu=inve&info=iiddbb');
                         $optlnk='?scri=info_modu3&modu=inve&info=iillcc';
                         if($cfg_empr=='hfre')
                         {$optlnk.='&unid=true'; $optlnk.='&lsub=INAG-';}
                         crea_option($dom,3,'Lista Conteo',$optlnk);
     //                     crea_option($dom,3,'Lista Conteo','?scri=info_modu3&modu=inve&info=iillcc');
                    }
                    if($empr0['empr_guia']==1)
                    {
                    crea_option($dom,2,'Guías','?scri=info_modu3&modu=guia',true);
                         crea_option($dom,3,'Resumen','?scri=info_modu3&modu=guia&info=guresu');
                    }
               
               
//                     if($empr0['empr_caja']==1 or $empr0['empr_bcos']==1)
                    {
                         
                    if($empr0['empr_caja']==1 or $empr0['empr_bcos']==1)     
                    {crea_option($dom,2,'Caja/Banco','?scri=info_modu3&modu=caja',true);}
                         
                         if($empr0['empr_caja']==1)
                         {
                         crea_option($dom,3,'Resumen CAJA','?scri=info_modu3&modu=caja&info=cjresu');
                         crea_option($dom,3,'Caja X DOC','?scri=info_modu3&modu=caja&info=cjdocu');
                              
                         }
                         if($empr0['empr_bcos']==1)
                         {
                         crea_option($dom,3,'Resumen BCOS','?scri=info_modu3&modu=bcos&info=bcresu');
                         crea_option($dom,3,'Banco X DOC','?scri=info_modu3&modu=bcos&info=bcdocu');
                              
                         }

                    if($empr0['empr_caja']==1 or $empr0['empr_bcos']==1 or $empr0['empr_rete']==1)
                    {
                    crea_option($dom,2,'Retenciones','?scri=info_modu3&modu=retc',true);     
                         crea_option($dom,3,'Clientes','?scri=info_modu3&modu=retc&info=');
                         crea_option($dom,3,'Bancos','?scri=info_modu3&modu=retc&info=&rbco=1');
                         if($empr0['empr_rete']==1)
                         {
                              crea_option($dom,3,'Proveedores','?scri=info_modu3&modu=retp&info=');
                         }
                    }

                         
                    }
               
               
               
               

               
               
               
                    if($empr0['empr_nomi']==1)
                    {
                    crea_option($dom,2,'Nóminas','?scri=info_modu3&modu=susa',true);     
                         crea_option($dom,3,'Sueldos','?scri=info_modu3&modu=susa&info=suresu');
                         crea_option($dom,3,'Nómina','?scri=info_modu3&modu=nomi&info=noresu');
                         crea_option($dom,3,'Roles','?scri=info_modu3&modu=nomi&info=nodeta');
//                          crea_option($dom,3,'Bancos','?scri=info_modu3&modu=retp&info=');
                    }
                    if($empr0['empr_pduc']==1 or $empr0['empr_prod']==1)
                    {
                    crea_option($dom,2,'Producción','?scri=info_modu3&modu=pduc&item=..',true);
                         crea_option($dom,3,'Resumen','?scri=info_modu3&modu=pduc&info=pdresu');
                         crea_option($dom,3,'Ordenes','?scri=info_modu3&modu=opro&info=opresu');
                    }
               
                    if($empr0['empr_cont']==1)
                    {
                    crea_option($dom,2,'Contabilidad','?scri=info_modu3&modu=cont',true);     
                         $fecha1cont=date('Y-01-01',strtotime('-1 month'));
                         $fecha2cont=date('Y-m-t',strtotime('-1 month'));
                         crea_option($dom,3,'Resumen','?scri=info_modu3&modu=cont&info=ttresu');
                         crea_option($dom,3,'Sumas & Saldos','?scri=info_modu3&modu=cont&info=ttssss&nivel=3&fecha1='.$fecha1cont.'&fecha2='.$fecha2cont);
                         crea_option($dom,3,'Libro Diario','?scri=info_modu3&modu=cont&info=ttdeta');
                         crea_option($dom,3,'Libro Mayor','?scri=info_modu3&modu=cont&info=ttmovi&ctas=..');
                         crea_option($dom,3,'Situación Financiera','?scri=info_modu3&modu=cont&nivel=3&info=ttssff&fecha2='.$fecha2cont);
                         crea_option($dom,3,'Resultado Integral','?scri=info_modu3&modu=cont&nivel=3&info=ttrrii&fecha1='.$fecha1cont.'&fecha2='.$fecha2cont);
                         $fecha1cont=date('Y-01-01',strtotime('-2 month'));
                         $fecha2cont=date('Y-12-31',strtotime('-2 month'));
                         crea_option($dom,3,'Saldos Acumulados' ,'?scri=info_modu3&modu=cont&nivel=3&info=ttssaa&fecha2='.$fecha2cont);
                         crea_option($dom,3,'Saldos Comparativo','?scri=info_modu3&modu=cont&nivel=3&info=ttsscc&fecha1='.$fecha1cont.'&fecha2='.$fecha2cont);
                         crea_option($dom,3,'Data Base','?scri=info_modu3&modu=cont&info=cpddbb');


                    }
                    if($empr0['empr_cont']==1 or $empr0['empr_vtas']==1 or $empr0['empr_comp']==1)
                    {
                         crea_option($dom,2,'S.R.I.','?scri=info_modu3&modu=sri1',true);     
                              crea_option($dom,3,'A.T.S.','?scri=info_modu3&modu=sri1&info=sriats');
                    }

                    if($empr0['empr_cxco']==1)
                    {
                    crea_option($dom,2,'Ctas.Cobrar','?scri=info_modu3&modu=cxco',true);     
//                          crea_option($dom,3,'Saldos','?scri=info_modu3&modu=cxco&info=ccsald&fecha1=2020-01-01&tsaldo=69');
                         crea_option($dom,3,'Saldos','?scri=info_modu3&modu=cxco&info=ccsald&fecha1=2020-01-01&tsaldo=9');
                         crea_option($dom,3,'Movim. X Clie.','?scri=info_modu3&modu=cxco&info=ccmovi&enti=..');
                         crea_option($dom,3,'Resum. X Docs.','?scri=info_modu3&modu=cxco&info=ccresu&enti=..');
                         crea_option($dom,3,'Debit /Credit','?scri=info_modu3&modu=cxco&info=ccddcc');
                         crea_option($dom,3,'Data Base','?scri=info_modu3&modu=cxco&info=ccddbb');
                         
                    }
               
                    if($empr0['empr_cxpa']==1)
                    {
                    crea_option($dom,2,'Ctas.Pagar','?scri=info_modu3&modu=cxpa',true);     
//                          crea_option($dom,3,'Saldos','?scri=info_modu3&modu=cxpa&info=cpsald&fecha1=2020-01-01&tsaldo=69');
                         crea_option($dom,3,'Saldos','?scri=info_modu3&modu=cxpa&info=cpsald&fecha1=2020-01-01&tsaldo=9');
                         crea_option($dom,3,'Movim. X Provee.','?scri=info_modu3&modu=cxpa&info=cpmovi&enti=..');
                         crea_option($dom,3,'Resum. X Docs.','?scri=info_modu3&modu=cxpa&info=cpresu&enti=..');
                         crea_option($dom,3,'Debit /Credit','?scri=info_modu3&modu=cxpa&info=cpddcc');
                         crea_option($dom,3,'Data Base','?scri=info_modu3&modu=cxpa&info=cpddbb');
                    }
               
               
                    
               
               
                    if($empr0['empr_clinica']==1 or $empr0['empr_veterinaria']==1)
                    {
                    crea_option($dom,2,'Historia','?scri=info_modu3&modu=hcli',true);
                         crea_option($dom,3,'Resumen','?scri=info_modu3&modu=hcli&info=hcresu');
                    }
               
                    if($empr0['empr_bitacora']==1)
                    {
                    crea_option($dom,2,'Bitácora','?scri=info_modu3&modu=btcr',true);
                         crea_option($dom,3,'Resumen','?scri=info_modu3&modu=btcr&info=btresu');
                    }
               
                    crea_option($dom,2,'Proyectos','?scri=info_modu3&modu=plan',true);     
                         crea_option($dom,3,'Planificacion','?scri=info_modu3&modu=plan&info=');
                         crea_option($dom,3,'Empleado','?scri=info_modu3&modu=atvd&info=');

                    if(mb_stristr('sist.supe.',$_SESSION['user_tipo']))
                    {
                         
                    crea_option($dom,2,'Blog','?scri=info_modu3&blog_info=1&modu=');     
//                          crea_option($dom,3,'Planificacion','?scri=info_modu3&modu=plan&info=');
//                          crea_option($dom,3,'Empleado','?scri=info_modu3&modu=atvd&info=');
                    }


               crea_option($dom,1,'Maestros','?scri=info_maes3',true);
                    crea_option($dom,2,'Entidades','?scri=info_maes3&modu=enti',true);
                         crea_option($dom,3,'Clientes','?scri=info_maes3&modu=clie');
                         crea_option($dom,3,'Proveedores','?scri=info_maes3&modu=prov');
                         crea_option($dom,3,'Vendedores','?scri=info_maes3&modu=vndd');
                         crea_option($dom,3,'Recaudadores','?scri=info_maes3&modu=rcdd');
                    if($cfg_empr=='demo')
                    {crea_option($dom,3,'Propiedades','?scri=info_maes3&modu=bbii');}
                    if($empr0['empr_guia']==1 or $empr0['empr_garage']==1)
                    {
                         crea_option($dom,3,'Conductores','?scri=info_maes3&modu=codt');
                    }
                    if($empr0['empr_nomi']==1)
                    {
                         crea_option($dom,3,'Empleados','?scri=info_maes3&modu=empl');
                    }
                    if($empr0['empr_clinica']==1 or $empr0['empr_veterinaria']==1)
                    {
                         crea_option($dom,3,'Pacientes','?scri=info_maes3&modu=pcnt');
                    }
                    crea_option($dom,2,'Items','?scri=info_maes3&modu=item',true);
                         crea_option($dom,3,'General','?scri=info_maes3&modu=item');
//                          crea_option($dom,3,'I.Invent','?scri=info_maes3&modu=iinv');
                         crea_option($dom,3,'I.Bodega','?scri=info_maes3&modu=ibod');
                         crea_option($dom,3,'I.Ventas','?scri=info_maes3&modu=ivta');
                         crea_option($dom,3,'I.Gastos','?scri=info_maes3&modu=igas');
                         crea_option($dom,3,'Bodegas','?scri=info_maes3&modu=bode');
                         crea_option($dom,3,'Líneas','?scri=info_maes3&modu=lsub');
                         crea_option($dom,3,'Lotes','?scri=info_maes3&modu=lote');
                         crea_option($dom,3,'Series','?scri=info_maes3&modu=seri');
               
                    crea_option($dom,2,'Cuentas','?scri=info_maes3&modu=ctas',true);
                    if($empr0['empr_cont']==1)
                    {
                         crea_option($dom,3,'Contables','?scri=info_maes3&modu=ctas');
                    }
                    if($empr0['empr_caja']==1)
                    {
                         crea_option($dom,3,'Caja','?scri=info_maes3&modu=caja');
                         crea_option($dom,3,'Cta.Banc.','?scri=info_maes3&modu=ctab');
                    }
                    if($empr0['empr_inve']==1)
                    {
                         crea_option($dom,3,'Bodegas','?scri=info_maes3&modu=bode');
                    }
                         crea_option($dom,3,'Centro Costo','?scri=info_maes3&modu=csub');
                         crea_option($dom,3,'Líneas','?scri=info_maes3&modu=lsub');
               
                    crea_option($dom,2,'Admin.','?scri=info_maes3&modu=',true);
                         crea_option($dom,3,'ClavesAcceso','?scri=info_maes3&modu=clac');
                         crea_option($dom,3,'Documentos','?scri=info_maes3&modu=docu');
                         crea_option($dom,3,'Pto.Emisión','?scri=info_maes3&modu=ptoe');
                         crea_option($dom,3,'Pto.Venta','?scri=info_maes3&modu=ptov');
                         crea_option($dom,3,'Bancos','?scri=info_maes3&modu=bcos');
                         crea_option($dom,3,'Zonas','?scri=info_maes3&modu=zsub');
                         crea_option($dom,3,'T.Cliente','?scri=info_maes3&modu=tcli ');
                         crea_option($dom,3,'T.Provee.','?scri=info_maes3&modu=tpro ');
                         crea_option($dom,3,'CAIR Imp.Renta','?scri=info_maes3&modu=cair');
                         crea_option($dom,3,'IVA ','?scri=info_maes3&modu=civa');
                         if($empr0['empr_eduk']==1)
                         {
                         crea_option($dom,3,'Cursos','?scri=info_maes3&modu=curs');
                         }

               
                    crea_option($dom,2,'Varios','?scri=info_maes3&modu=',true);
                         if($empr0['empr_bitacora'])
                         {crea_option($dom,3,'Propiedad','?scri=info_maes3&modu=ppdd');}
                         if($empr0['empr_inmobil'])
                         {crea_option($dom,3,'Propiedad (Bien Inmueble)','?scri=info_maes3&modu=bbii');}
                         crea_option($dom,3,'Paises','?scri=info_maes3&modu=pais');
                         crea_option($dom,3,'Marcas','?scri=info_maes3&modu=mrca');
                         crea_option($dom,3,'Unid.Medida','?scri=info_maes3&modu=umdd');
               
                         crea_option($dom,3,'Mod.Vhcl','?scri=info_maes3&modu=mdvh');
                         crea_option($dom,3,'VINN','?scri=info_maes3&modu=vinn');
                         crea_option($dom,3,'Placa Vhcl.','?scri=info_maes3&modu=plvh');
               
                         crea_option($dom,3,'Contenedores','?scri=info_maes3&modu=cntn');
               
               
                    crea_option($dom,2,'Actividades','?scri=info_maes3&modu=asub');
               
                    if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
                    {
                    crea_option($dom,2,'Usuarios','?scri=info_maes3&modu=user',true);
                         crea_option($dom,3,'Verificado','?scri=info_maes3&modu=user');
                         crea_option($dom,3,'Registrado','?scri=info_maes3&modu=usrt');
                         if(mb_stristr2('.sist.',$_SESSION['user_tipo']))
                         {crea_option($dom,3,'Accesos','?scri=info_modu3&modu=acce');}
                    }


               if(1==2)
               {
               crea_option($dom,1,'Procesos','?scri=proc_modu3',true);
                    crea_option($dom,2,'Ventas');
                         crea_option($dom,3,'X Cliente','http:youtube.com');
                         crea_option($dom,3,'X Producto','http:jw.org');
                    crea_option($dom,2,'Inventarios','?scri=proc_modu3&modu=inve',true);
                         crea_option($dom,3,'Recalculo','?scri=info_modu3&modu=inve&info=iiiiee&cost=true&prcs=recalc');
                    crea_option($dom,2,'Bancos');
                         crea_option($dom,3,'Conciliación','?scri=bcos_conc');
                    crea_option($dom,2,'Ajustes','?scri=cxcp_ajus3',true);
                         crea_option($dom,3,'Ctas X Cobrar','?scri=cxcp_ajus3&modu=cxco');
                         crea_option($dom,3,'Ctas X Pagar','?scri=cxcp_ajus3&modu=cxpa');
                    
               }

               
               if(!mb_stristr2('.oper',$_SESSION['user_tipo']))
               {
               crea_option($dom,1,'Mantenimiento');
                    crea_option($dom,2,'Ventas');
                         crea_option($dom,3,'Catálogo','?scri=ctlg_item3&format=5');
                         crea_option($dom,3,'Catálogo Propiedades','?scri=ctlg_bbii3&format=5');
                    crea_option($dom,2,'Vistas');
                         crea_option($dom,3,'Crear','?scri=crea_view3');
                    crea_option($dom,2,'Inventarios');
                         crea_option($dom,3,'Ingresos','http:netflix.com');
                         crea_option($dom,3,'Egresos','http:eluniverso.com');
                    crea_option($dom,2,'MySQL','?scri=updt_data3',true);
                         crea_option($dom,3,'Master','?scri=updt_data3&cmaes=true');
                         crea_option($dom,3,'IDX Master','?scri=updt_data3&imaes=true');
                         crea_option($dom,3,'VWE Master','?scri=updt_data3&vmaes=true');
                         crea_option($dom,3,'Transacc','?scri=updt_data3&ctran=true');
                         crea_option($dom,3,'IDX Transacc ','?scri=updt_data3&itran=true');
                         crea_option($dom,3,'VWE Transacc','?scri=updt_data3&vtran=true');
                         crea_option($dom,3,'Lista Defa','?scri=updt_data3&ldefa=true');
               }


               if($cfg_empr=='gmna')
               {
               crea_option($dom,1,'Nomina');
                    crea_option($dom,2,'Ingreso');
                         crea_option($dom,3,'Persona','?scri=nomi_perso');
                         crea_option($dom,3,'Empleado','?scri=nomi_emple');
                    crea_option($dom,2,'Calculos');
                         crea_option($dom,3,'Horas','?scri=nomi_hora2');
                         crea_option($dom,3,'Roles','?scri=nomi_calcu');
               }
          }
     }     
}

if($empr0['empr_inmobil']==1)
{
     $scri_shop='ctlg_bbii3';
     crea_option($dom,1,'Catálogo','?scri='.$scri_shop,true);
     $ztabla='lsub'; $ztodos=1; $zoptions=''; 
     if(mb_stristr('gmny.gnya',$cfg_empr)){$ztabla='';}
     include('col2list.php');
     if(!empty($zoptions))
     {
          $zoptions=explode(';',$zoptions);
          sort($zoptions);
          crea_option($dom,2,'Líneas');
               for($xidx=0; $xidx<count($zoptions); $xidx++)
               {
                    $optval=explode(',',$zoptions[$xidx]);
                    if(!isset($optval[1])){$optval[1]='';}
                    crea_option($dom,3,$optval[1],'?scri='.$scri_shop.'&lsub='.$optval[0]);
               }
          $zoptions='';
     }
     include('ele_reset.php');
     
}

if($empr0['empr_carr']==1)
{
     $scri_shop='ctlg_item3';
     crea_option($dom,1,'Catálogo','?scri='.$scri_shop,true);
     if(mb_stristr('gmny.gnya',$cfg_empr))
     {
          $zoptions='Blusas;Vestidos;Faldas;Enterizos;Shorts;Leggins;Camisas;Camisetas;Pantalones;Pijamas;Niños(as);';
          $zoptions=explode(';',$zoptions);
               for($xidx=0; $xidx<count($zoptions); $xidx++)
               {crea_option($dom,2,$zoptions[$xidx],'?scri='.$scri_shop.'&categoria='.$zoptions[$xidx]);}
     }

     $ztabla='lsub'; $ztodos=1; $zoptions=''; 
     if(mb_stristr('gmny.gnya',$cfg_empr)){$ztabla='';}
     include('col2list.php');
     if(!empty($zoptions))
     {
          $zoptions=explode(';',$zoptions);
          sort($zoptions);
          crea_option($dom,2,'Líneas');
               for($xidx=0; $xidx<count($zoptions); $xidx++)
               {
                    $optval=explode(',',$zoptions[$xidx]);
                    if(!isset($optval[1])){$optval[1]='';}
                    crea_option($dom,3,$optval[1],'?scri='.$scri_shop.'&lsub='.$optval[0]);
               }
          $zoptions='';
     }
     include('ele_reset.php');
     
     $ztabla='mrca'; $ztodo=1; $zoptions=''; 
     if(mb_stristr('gmny.gnya',$cfg_empr)){$ztabla='';}
     include('col2list.php');
     if(!empty($zoptions))
     {
          $zoptions=explode(';',$zoptions);
          sort($zoptions);
          crea_option($dom,2,'Marcas');
               for($xidx=0; $xidx<count($zoptions); $xidx++)
               {
                    $optval=explode(',',$zoptions[$xidx]);
                    if(!isset($optval[1])){$optval[1]='';}
                    crea_option($dom,3,$optval[1],'?scri='.$scri_shop.'&mrca='.$optval[0]);
               }
          $zoptions='';
     }
     include('ele_reset.php');
     
//      $ztabla='';$ztodo=0;
}

if(!empty($_SESSION['user_codigo']))
{
     crea_option($dom,1,'Mi Perfil','?scri=regi_maes3&modu=user',true);
     
     crea_option($dom,2,'Zoom '.$zoom_site.'%','?scri=zoom_site1');
     
     if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
     {crea_option($dom,2,'Empresa','?scri=regi_maes3&modu=empr&codigo='.$cfg_empr);}

     
     
     $ver_2020='index2.php';
     if(mb_stristr2('.sist.supe.admi.oper',$_SESSION['user_tipo']))
     {
//           crea_option($dom,2,'Ver.2020',$ver_2020,true);
//           crea_option($dom,2,'Ver.2020',$ver_2020);
//                crea_option($dom,3,'Archivos','?scri=ver_2020&scri20=upld_file');
     }
     

     
     
     if($empr0['empr_refers']==1)
     {
          crea_option($dom,2,'Invitar','?scri=send_invi3');
     }
     
     if($empr0['empr_taxi']==1)
     {
//           crea_option($dom,1,'Mis Datos','?scri=regi_maes3&modu=user');
     }
     
     
     
     if($empr0['empr_carr']==1)
     {
          if($user0['user_tipo']!='invi')
          {
          crea_option($dom,2,'Mi Carrito','?scri=ctlg_item3&format=4');
          crea_option($dom,2,'Mis Pedidos','?scri=info_clie3&docu=PC');
          crea_option($dom,2,'Mis Facturas','?scri=info_clie3&docu=FC');
//          crea_option($dom,2,'Mis Direcciones','?scri=regi_adrs3');
          crea_option($dom,2,'Mis Direcciones','?scri=regi_maes3&modu=adrs');
          }
     }
     
     if($empr0['empr_refers']==1)
     {
          crea_option($dom,2,'Mis Referidos','?scri=info_maes3&modu=refx&refx='.$user0['user_codigo']);
     }
     
     if($user0['user_tipo']=='sist')
     {crea_option($dom,2,'Ver Errores','error.php?_lib=');}
     
     crea_option($dom,2,'Resetea Clave','{user_logout(3);}');
     
     if($empr0['empr_pyme']==1)
     {
     $xhelp='https://1drv.ms/o/s!AjwEvEn1XJmKioFojh2YkszyrpTDQw';
     crea_option($dom,2,'Ayuda','{window.open("'.$xhelp.'","_blank")}');
     }
     
     
     crea_option($dom,2,'Salir','{user_logout();}');

//      crea_option($dom,1,'Empresa','?scri=regi_maes3&modu=user',true);
     
     
}


if($cfg_empr=='jwib')
{
     if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
     {
     crea_option($dom,2,'Usuarios','?scri=info_maes3&modu=user',true);
          crea_option($dom,3,'Verificado','?scri=info_maes3&modu=user');
          crea_option($dom,3,'Registrado','?scri=info_maes3&modu=usrt');
     }
     
     
     if(empty($_SESSION['cong_codigo']))
     {
          crea_option($dom,1,'Congregación','?scri=sele_cong1',true);
     }
     
     
//      
     if(!empty($_SESSION['cong_codigo']))
     {
//           crea_option($dom,1,'Anuncios','?scri=jwib_asig2&info=ASEM',true,'','📌');
          crea_option($dom,1,'Anuncios','?scri=jwib_asig2&info=PROG&tipo=sema',true,'','📌');
//           https://jwib.vcrxol.com/?scri=jwib_asig2&info=PROG&tipo=sema
               crea_option($dom,2,'Programa','?scri=jwib_asig2&info=PROG&tipo=sema',0,'','📋');
               crea_option($dom,2,'Semanales','?scri=jwib_asig2&info=ASEM',0,'','📅');
               crea_option($dom,2,'Mejores Maestros','?scri=jwib_asig2&info=MMAE',0,'','🧑🏻‍🏫');
               crea_option($dom,2,'Vida Cristiana','?scri=jwib_asig2&info=VIDA',0,'','🛐');
               crea_option($dom,2,'Estudios','?scri=jwib_asig2&info=ESTU',0,'','📖');
               crea_option($dom,2,'Reu. Pública','?scri=jwib_asig2&info=DPU1',0,'','🎤');
               crea_option($dom,2,'Discursantes','?scri=jwib_asig2&info=DPU2',0,'','👔');
               crea_option($dom,2,'🗓️Ministerio','?scri=jwib_pmdc3');
               if($_SESSION['cong_codigo']=='11569')
               {crea_option($dom,2,'Cargar SMM','?scri=upld_smm1');}

          
          crea_option($dom,1,'🗣️Ministerio','?scri=jwib',true);
               if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
               {crea_option($dom,2,'📅Agendar','?scri=regi_jwmc3');}
               if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
               {crea_option($dom,2,'🗺️Reg.Territorio','?scri=regi_jwrt3');}
               crea_option($dom,2,'🚪Reg.Visitas','?scri=regi_jwrv3');
               if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
               {crea_option($dom,2,'Consultas Visitas','?scri=info_modu3&modu=JWRV&info=rvresu');}
          
               if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
               {crea_option($dom,2,'Consultas MMAE','?scri=info_modu3&modu=JWIB&info=mmresu');}
          
               if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
               {crea_option($dom,2,'Consultas Territorio','?scri=info_modu3&modu=JWRT&info=rtttff&fecha1='.date('Y-m-01',strtotime('-1 month')).'&fecha2='.date('Y-m-d'));}
          
          
          
//           if($empr0['empr_codigo']=='jwib')
//           $user_tipo=strtolower($_SESSION['user_tipo']);
          if(mb_stristr2('.sist.supe.admi',$user0['user_tipo']))
          {
               crea_option($dom,1,'Mantenimiento','',true);
               
                    if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
                    {crea_option($dom,2,'Predicación 3','?scri=regi_mdc3');}
               
                    if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
                    {crea_option($dom,2,'Calendario','?scri=cldr_jwib3');}
               
                    crea_option($dom,2,'Territorios','?scri=info_maes3&modu=trty');
                    crea_option($dom,2,'📍Lug.Reunión','?scri=info_maes3&modu=lreu');
               
                    crea_option($dom,2,'JWOL','?scri=jwib_jwol2',true);
                    crea_option($dom,3,'Cargar ','?scri=jwib_jwol2');
                    crea_option($dom,3,'Programar','?scri=jwib_prog2');
                    crea_option($dom,2,'MySQL','?scri=updt_data3');
               
               crea_option($dom,1,'Maestros','?scri=info_maes3',true);
                    if(mb_stristr2('.sist.supe',$_SESSION['user_tipo']))
                    {
                    crea_option($dom,2,'Usuarios','?scri=info_maes3&modu=user',true);
                         crea_option($dom,3,'Verificado','?scri=info_maes3&modu=user');
                         crea_option($dom,3,'Registrado','?scri=info_maes3&modu=usrt');
                    }
               

          }
          
          
          
          
          
     }
     
}



$nivel_esp=0;
if($cfg_empr=='demo')
{
     crea_option($dom,1,'Especial','',true);
     $nivel_esp=1;
}


if($empr0['empr_bitacora']==1)
{
     crea_option($dom,$nivel_esp+1,'Bitácora','?scri=regi_btcr3&docu=&ptoe=001001&tpos=',true);
          crea_option($dom,$nivel_esp+2,'Registro','?scri=regi_btcr3&docu=&ptoe=&tpos=');
          crea_option($dom,$nivel_esp+2,'🟢Aviso','?scri=regi_btcr3&docu=AVS1&ptoe=&tpos=');
          crea_option($dom,$nivel_esp+2,'Resumen','?scri=info_modu3&modu=btcr&info=btresu');
//           crea_option($dom,3,'Resumen','?scri=info_modu3&modu=btcr&info=btresu');
     
}


if($empr0['empr_eduk']==1 and mb_stristr2('.sist.supe.admi',$_SESSION['user_tipo']))
{
     crea_option($dom,$nivel_esp+1,'Educativo','?scri=regi_maes3&modu=empr&codigo='.$cfg_empr,true);
//           crea_option($dom,$nivel_esp+2,'Curso','?scri=regi_maes3&modu=curs');
          crea_option($dom,$nivel_esp+2,'Periodo','?scri=info_maes3&modu=psco');
          crea_option($dom,$nivel_esp+2,'Curso','?scri=info_maes3&modu=curs');
//           crea_option($dom,$nivel_esp+2,'Enrolar','?scri=regi_maes3&modu=nrol');
          crea_option($dom,$nivel_esp+2,'Enrolar','?scri=info_maes3&modu=nrol');
}

if($empr0['empr_taller']==1 and mb_stristr2('.sist.supe.admi',$_SESSION['user_tipo']))
{
     $sql_bodetall='select * from inve1 ';
     $sql_bodetall.='where ifnull(status,"")not in ("O","") ';
     $sql_bodetall.='and docu = "EB13" ';
     $sql_bodetall.='and iuser = "'.$user0['user_codigo'].'" ';
     $sql_bodetall.='order by fecha desc ';
     $sql_bodetall.='limit 1';
     $res_bodetall=msql_query($sql_bodetall,$link_data);
     $bodetall=msql_result($res_bodetall,0,'bode2');
     
//      if(empty($bodetall))
//      {}
     
     crea_option($dom,$nivel_esp+1,'🧑‍🔧Taller','?scri=regi_maes3&modu=empr&codigo='.$cfg_empr,true);
          crea_option($dom,$nivel_esp+2,'📋Orden Trabajo','?scri=regi_otbj3&modu=otbj&docu=ot10');
          crea_option($dom,$nivel_esp+2,'🔩 Repuestos','?scri=regi_inve3&docu=EB13&bode2='.$bodetall.'');     
          crea_option($dom,$nivel_esp+2,'Informe','?scri=info_modu3&modu=otbj&info=otresu');     
//           crea_option($dom,$nivel_esp+2,'Mod.VH','?scri=info_maes3&modu=mdvh');
          crea_option($dom,$nivel_esp+2,'Clas.VH','?scri=info_maes3&modu=clvh');
          crea_option($dom,$nivel_esp+2,'🔠VINs','?scri=info_maes3&modu=vinn');
          crea_option($dom,$nivel_esp+2,'🚗Placa','?scri=info_maes3&modu=plvh');
//           crea_option($dom,$nivel_esp+2,'Prec.M.O.','?scri=info_maes3&modu=pmdo');
          crea_option($dom,$nivel_esp+2,'⏳Tempario','?scri=info_maes3&modu=tmpr');
//           crea_option($dom,$nivel_esp+2,'Facturar','?scri=regi_vtas3&docu='.$def_vtas.'&ptov='.$def_ptov.'&tpos=3');
}

if($empr0['empr_automotriz']==1 and mb_stristr2('.sist.supe.admi',$_SESSION['user_tipo']))
{
     crea_option($dom,$nivel_esp+1,'Automotriz','?scri=regi_maes3&modu=empr&codigo='.$cfg_empr,true);
          crea_option($dom,$nivel_esp+2,'Mod.VH','?scri=info_maes3&modu=mdvh');     
          crea_option($dom,$nivel_esp+2,'Pedidos','?scri=regi_prov3&docu=PP15&ptoe=001001');
          crea_option($dom,$nivel_esp+2,'Vehículo','?scri=regi_maes3&modu=plvh');
          crea_option($dom,$nivel_esp+2,'Facturar','?scri=regi_vtas3&docu='.$def_vtas.'&ptov='.$def_ptov.'&tpos=3');
}


if($empr0['empr_veterinaria']==1 and mb_stristr2('.sist.supe.admi',$_SESSION['user_tipo']))
{
     crea_option($dom,$nivel_esp+1,'🐶Veterinaria','?scri=regi_maes3&modu=empr&codigo='.$cfg_empr,true);
//           crea_option($dom,$nivel_esp+2,'Nuevo Paciente','?scri=regi_maes3&modu=pcnt');
          crea_option($dom,$nivel_esp+2,'🐶Pacientes','?scri=info_maes3&modu=pcnt');
          crea_option($dom,$nivel_esp+2,'Historia','?scri=regi_hcli3&modu=hcli&docu=hc10');
          crea_option($dom,$nivel_esp+2,'Facturar','?scri=regi_vtas3&docu='.$def_vtas.'&ptov='.$def_ptov.'&tpos=3');
}


// if($_SESSION['farmacia']==1 and mb_stristr2('.sist.supe.admi',$_SESSION['user_tipo']))
if($empr0['empr_farmacia']==1 and mb_stristr2('.sist.supe.admi',$_SESSION['user_tipo']))
{
          crea_option($dom,$nivel_esp+1,'Farmacia','?scri=info_modu3&modu=rgsn',true);     
               crea_option($dom,$nivel_esp+2,'Facturar','?scri=regi_vtas3&docu='.$def_vtas.'&ptov='.$def_ptov.'&tpos=2');
               crea_option($dom,$nivel_esp+2,'Regi.Sanit.','?scri=info_maes3&modu=rgsn');
               crea_option($dom,$nivel_esp+2,'Pres.Comer.','?scri=info_maes3&modu=pcom');
               crea_option($dom,$nivel_esp+2,'Resumen','?scri=info_modu3&modu=vtas');
               crea_option($dom,$nivel_esp+2,'RPM','?scri=info_modu3&modu=vtas&info=vtrpm1&lsub=MEDI-');
}

// echo '==='.$_SESSION['user_tipo'];
if($empr0['empr_garage']==1 )
{
    if(empty($def_ptov)){$def_ptov='001001';}
//      $def_ptov='002001';
     
     
     crea_option($dom,$nivel_esp+1,'Garage','?scri=regi_grge3&docu=FC10&ptov=&tpos=',true);
          if(mb_stristr2('.sist.supe.admi.oper',$_SESSION['user_tipo']))
          {
          crea_option($dom,$nivel_esp+2,'Ticket','?scri=regi_grge3&docu=FC10&ptov=&tpos=');
          crea_option($dom,$nivel_esp+2,'Resumen','?scri=info_modu3&modu=vtas&info=vtres1&ptov='.$def_ptov.'&stfin=1&fecha1='.date('Y-m-d'));
          crea_option($dom,$nivel_esp+2,'Inventario','?scri=info_modu3&modu=vtas&info=vtgrge0&ptov='.$def_ptov.'&stfin=1&fecha1='.date('Y-m-d').'&prnt=0');
          }
          crea_option($dom,$nivel_esp+2,'Consulta','?scri=qplvh1');
}



// if($empr0['empr_codigo']=='facx')
if(mb_stristr2('facx.demo',$empr0['empr_codigo']))
{
     if(mb_stristr2('.sist.supe.cont',$_SESSION['user_tipo']))
     {
          crea_option($dom,$nivel_esp+1,'Informes','?',true);
               crea_option($dom,$nivel_esp+2,'Ventas','?scri=info_modu3&modu=vtas');          
               crea_option($dom,$nivel_esp+2,'Compras','?scri=info_modu3&modu=comp');          
               crea_option($dom,$nivel_esp+2,'SRI','?scri=info_modu3&modu=sri1');          
          
     }
     
          crea_option($dom,$nivel_esp+1,'Facturador','?',true);
               crea_option($dom,$nivel_esp+2,'Mis Datos','?scri=regi_maes3&modu=user');
               crea_option($dom,$nivel_esp+2,'Facturar','?scri=regi_vtas3&docu='.$def_vtas.'&ptov='.$def_ptov.'&tpos=3');
               crea_option($dom,$nivel_esp+2,'Facturar c/P.Uni.','?scri=regi_facx3&tpre=1');
               crea_option($dom,$nivel_esp+2,'Facturar c/P.V.P.','?scri=regi_facx3&tpre=2');
               crea_option($dom,$nivel_esp+2,'Ver.Facturas','?scri=info_modu3&modu=vtas&info=vtresu&fecha1='.date('Y-m-d'));

               crea_option($dom,$nivel_esp+2,'Clientes','?scri=info_maes3&modu=clie');
     //           crea_option($dom,$nivel_esp+2,'Prod/Serv.','?scri=info_maes3&modu=ivta');
}

if($empr0['empr_medico']==1)
{
     crea_option($dom,$nivel_esp+1,'Médico','?',true);
          crea_option($dom,$nivel_esp+2,'Mis Datos','?scri=regi_maes3&modu=user');
          crea_option($dom,$nivel_esp+2,'Recetar','?scri=regi_rmed3');
          crea_option($dom,$nivel_esp+2,'Facturar','?scri=regi_vtas3');
          crea_option($dom,$nivel_esp+2,'Ver.Recetas','?scri=info_modu3&modu=rmed&info=rmresu&fecha1='.date('Y-m-d'));
          crea_option($dom,$nivel_esp+2,'Ver.Facturas','?scri=info_modu3&modu=vtas&info=vtresu&fecha1='.date('Y-m-d'));
          crea_option($dom,$nivel_esp+2,'CIE-10','?scri=info_maes3&modu=ciex');
          crea_option($dom,$nivel_esp+2,'C.NAC.MEDIC.','?scri=info_maes3&modu=cnmb');
//           crea_option($dom,$nivel_esp+2,'Invitar','?scri=invi_refe3');
//           crea_option($dom,$nivel_esp+2,'Mis Referidos','?scri=info_maes3&modu=rfrx');
}

if($empr0['empr_taxi']==1)
{
     crea_option($dom,$nivel_esp+1,'TAXI','?scri=regi_taxi3',true);
          crea_option($dom,$nivel_esp+2,'Mis Datos','?scri=regi_maes3&modu=user');
          crea_option($dom,$nivel_esp+2,'Facturar','?scri=regi_taxi3');
          crea_option($dom,$nivel_esp+2,'Fact IVA.'.(int)$_SESSION['porc_iva'],'?scri=regi_vtas4');
          crea_option($dom,$nivel_esp+2,'Resumen','?scri=info_modu3&modu=vtas&info=vtres1&fecha1='.date('Y-m-d'));
//           crea_option($dom,$nivel_esp+2,'Invitar','?scri=invi_refe3');
//           crea_option($dom,$nivel_esp+2,'Mis Referidos','?scri=info_maes3&modu=rfrx');
}

if($empr0['empr_codigo']=='demo')
{
     crea_option($dom,$nivel_esp+1,'TICKET','?scri=regi_tikt3',true);
          crea_option($dom,$nivel_esp+2,'Cargar','?scri=regi_tikt3');
     crea_option($dom,$nivel_esp+1,'MSP','?scri=regi_',true);
          crea_option($dom,$nivel_esp+2,'Coberturas','?scri=info_maes3&modu=rpis');
}




if($empr0['empr_codigo']=='posa')
{
     crea_option($dom,$nivel_esp+1,'Carga LDC','?scri=load_ldc1');
}


echo $dom->saveXML();



// $rutapk12='../'.strtolower($empr0['empr_codigo']).'/pk12/';
// if (!file_exists($rutapk12)){mkdir($rutapk12);}
// file_put_contents($rutapk12.'index.html',"Espere....");

// $rutace='../../_cele/';
// if (!file_exists($rutace)){mkdir($rutace);}
// file_put_contents($rutace.'index.html',"Espere....");


?>
